Bug 3352 - <table> inside <div align="right"> with large content inside = no scrollbar
Summary: <table> inside <div align="right"> with large content inside = no scrollbar
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tables (show other bugs)
Version: 412
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Daniel Bates
URL: http://www.nousoft.org/webkit-1.html
Keywords: HasReduction
Depends on:
Blocks:
 
Reported: 2005-06-08 08:25 PDT by Thomas Deniau
Modified: 2016-09-06 10:23 PDT (History)
6 users (show)

See Also:


Attachments
Reduction for this bug. (782 bytes, application/xhtml+xml)
2006-02-10 10:45 PST, Thomas Deniau
no flags Details
Patch and Layout Test (14.01 KB, patch)
2016-08-24 13:32 PDT, Daniel Bates
bfulgham: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deniau 2005-06-08 08:25:10 PDT
When visiting this URL, Safari does not use an horizontal scrollbar. Thus, half of the text, which should 
begin with "Lorem ipsum", can't be seen.

Firefox does include that scrollbar and the page validates as XHTML 1.0.

This bug also occurs with a large image inside the <table>.


(That reduction was made from a page found on an Invision Power Board forum. (One post made the 
scrollbar disappear, preventing half of the page from being seen)).
Comment 1 Thomas Deniau 2006-02-10 10:45:00 PST
Created attachment 6393 [details]
Reduction for this bug.

Attaching the file at the URL above as a reduction.
Comment 2 mitz 2006-02-10 10:53:29 PST
Is this really a bug? 
Comment 3 Thomas Schroeter 2009-02-08 12:52:23 PST
The vertical white lines between each red box begin to "break up" or look like this when scrolling:

&#9608;
&#9608;
&#9608; 
 &#9608;
 &#9608;
 &#9608;
&#9608;
&#9608;
&#9608;

This came to my attention as one of my customers talking about this. On his Site we are using mootools animation capabilities using Fx.Scroll class.

Using Google Chrome for Windows XP the rendering seems to be better !?
Comment 4 Daniel Bates 2016-08-24 13:32:14 PDT
Created attachment 286884 [details]
Patch and Layout Test
Comment 5 Brent Fulgham 2016-08-25 12:30:34 PDT
Comment on attachment 286884 [details]
Patch and Layout Test

The Windows failure looks unrelated to this patch. I think this looks fine, but you might want to get Zalan or Hyatt to double-check that there isn't an edge case we are forgetting about.
Comment 6 Daniel Bates 2016-09-06 10:23:01 PDT
Committed r205489: <http://trac.webkit.org/changeset/205489>